Хотели установить Google Earth но в сети начитались, что при установке много проблем с данным приложением в Linux, ознакомьтесь с материалом ниже где все доходчиво описано.

Google Earth - это отличное приложение, с помощью которого вы можете посмотреть любую точку планеты в 3D, спутники Google каждый год летают вокруг орбиты нашей планеты и выполняют положенное на них задание, делать снимки поверхности нашей планеты, благодаря которым Google в приложении Google Earth постоянно обновляет и предоставляет на самые свежие данные. Да, вы можете найти свой город или посмотреть другую страну, увидеть свою деревню и прочее. Приложение довольно интересное, отправьтесь в путешествие вокруг света с Google Earth.

Google Earth for Ubuntu 16.04 Xenial Xerus

стартовое окно при запуске приложения Google Earth смотрим достопримечательности города Николаева смотрим город Николаев через Google Earth

В сегодняшнем материале я постараюсь максимально просто и доходчиво описать процедуру установки приложения в дистрибутиве Ubuntu 16.04 Xenial Xerus/Linux Mint 18 и производных. 

Для установки много не нужно, откройте терминал(Ctrl+Alt+T), далее выполните следующие команды:

Для 64-bit

cd ~/Downloads либо cd ~/Загрузки
wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
wget http://mirrors.kernel.org/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu6_amd64.deb
sudo dpkg -i --force-all lsb-core_4.1+Debian11ubuntu6_amd64.deb

Для 32-bit

cd ~/Downloads либо cd ~/Загрузки
wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb
wget http://mirrors.kernel.org/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu6_i386.deb
sudo dpkg -i --force-all lsb-core_4.1+Debian11ubuntu6_i386.deb

Да, после этого вы увидите текст установки и все зависимости вида:

root@linuxsoid-pc:~/Загрузки# dpkg -i --force-all lsb-core_4.1+Debian11ubuntu6_amd64.deb
Выбор ранее не выбранного пакета lsb-core.
(Чтение базы данных … на данный момент установлено 348606 файлов и каталогов.)
Подготовка к распаковке lsb-core_4.1+Debian11ubuntu6_amd64.deb …
Распаковывается lsb-core (4.1+Debian11ubuntu6) …
dpkg: lsb-core: проблемы зависимостей, но по вашему указанию всё равно производим настройку:
 lsb-core зависит от lsb-invalid-mta (>= 4.1+Debian11ubuntu6) | mail-transport-agent, однако:
  Пакет lsb-invalid-mta не установлен.
  Пакет mail-transport-agent не установлен.
 lsb-core зависит от at, однако:
  Пакет at не установлен.
 lsb-core зависит от mailx | mailutils, однако:
  Пакет mailx не установлен.
  Пакет mailutils не установлен.
 lsb-core зависит от ncurses-term, однако:
  Пакет ncurses-term не установлен.
 lsb-core зависит от pax, однако:
  Пакет pax не установлен.
 lsb-core зависит от alien (>= 8.36), однако:
  Пакет alien не установлен.
 lsb-core зависит от lsb-security (>= 4.1+Debian11ubuntu6), однако:
Настраивается пакет lsb-core (4.1+Debian11ubuntu6) …
Обрабатываются триггеры для man-db (2.7.5-1) …

Пока на это не обращаем особого внимания и выполняем следующую команду по установке уже непосредственно Google Earth:

Для 64-bit

sudo dpkg -i google-earth-stable_current_amd64.deb

Для 32-bit

sudo dpkg -i google-earth-stable_current_i386.deb

установка должна пройти гладко без ошибок, но конечно же из-за зависимостей которые были выше, в панели индикаторов, вы увидите красную иконку сигнализирующую, что имеются неудовлетворенные зависимости и нужно выполнить команду:

sudo apt install -f

только мы ее не выполняем так как с текущими зависимостями система нам предложит удалить и пакет приложения  google-earth-stable_current_amd64.deb и lsb-core, если вы уже поспешили и выполнили эту команду не соглашаемся и вводим букву н и жмем Enter после чего произойдет аварийное завершение команды.

После этого можно запустить приложение найдя его в Меню Ubuntu - Интернет - Google Earth либо с помощью поиска в Dash.

После данных манипуляций мы проделаем следующее, выполните команды в терминале:

cp /var/lib/dpkg/status ~/
sudo gedit /var/lib/dpkg/status

после воспользуемся поиском CTRL+F и введем запрос - "Package: lsb-core", далее ищем строку:

Depends: lsb-release (>= 4.1+Debian11ubuntu6), libc6 (>= 2.13-17), libz1, libncurses5, libpam0g, lsb-invalid-mta (>= 4.1+Debian11ubuntu6) | mail-transport-agent, at, bc, binutils, bsdmainutils, bsdutils, cpio, cron | cron-daemon, ed, file, libc6-dev | libc-dev, locales, cups-bsd | lpr, lprng | cups-client, m4, mailx | mailutils, make, man-db, mawk | gawk, ncurses-term, passwd, patch, pax, procps, psmisc, rsync, alien (>= 8.36), python3, debconf (>= 0.5) | debconf-2.0, libc6-i386, lib32z1, lsb-base (>= 4.1+Debian11ubuntu6), lsb-security (>= 4.1+Debian11ubuntu6), time

полностью ее удаляем, смотрите не зацепите ничего другого, только эту строку, удалили, сохраните изменения. Вот такими манипуляциями мы обманываем систему, что у нас как бы нет зависимостей очистив лог системы где она ведет учет по установленным пакетам зависимостям если они имеются и просто об удачной установке пакета.

После этих манипуляций в терминале выполнить команды:

apt update
sudo apt install -f

После этого система сообщит, что зависимостей нет и все хорошо и через минуту может полторы красная иконка на панели индикаторов исчезнет. Далее нам нужно выполнить еще несколько деталей, добавить поддержку просмотра панорамных фото в приложение, выполним следующие команды:

cd /opt/google/earth/free
sudo wget http://linuxsoid.com/File/ge7.1.1.1580-0.x86_64.tar.xz
sudo tar xvf ge7.1.1.1580-0.x86_64.tar.xz
sudo apt-get install libfreeimage3
sudo apt-get install libgstreamer0.10-0
sudo apt-get install libgstreamer-plugins-base0.10-0

Удаление Google Earth

Для удаления откройте терминал(Ctrl+Alt+T), далее выполните команду:
sudo apt purge google-earth-stable && apt autoremove && apt -f install

Вот и все, ошибок никаких не будет все пакеты гладко установятся.

Понравилась статья?
Хотели установить Google Earth но в сети начитались, что при установке много проблем с данным приложением в Linux, ознакомьтесь с материалом ниже где все доходчиво описано. Google Earth - это отличное приложение, с помощью которого вы можете посмотре...
Приложения
1198
Рейтинг: 5/7
При перепечатке материалов указание ссылки на linuxsoid.com обязательно.

Подпишитесь на рассылку

avatar
0
3 • 01:26,
Сделал всё в точности как тут написано. В результате замусорен компьютер, а программа не работает. Как вычистить этот мусор?
avatar
0
4 • 10:07,
Вот установил в Ubuntu 16.04.1 LTS чтобы увидеть проблему, программа работает идеально:


установка проста:
Код
sudo dpkg -i google-earth-stable_current_amd64.deb && sudo dpkg -i google-earth-stable* && apt -f install
установятся все зависимости и готово, ищите в Dash или в категории Интернет.

Если нужно удалить, выполните:
Код
sudo apt purge google-earth-stable && apt autoremove && apt -f install
avatar
1
Не стал прерывать операцию sudo apt install -f и у меня все прекрасно заработало без дополнительных манипуляций))
avatar
0
2 • 16:48,
Вот и отлично если все обошлось без дополнительных танцев с бубном.  wink up
avatar